package org.security.common.util;

import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;

import java.util.Date;

/**
 * @author zj 2022/4/27
 */
public class TaskCehckUtil {

	/**
	 * 判断当前时间属于上半年/下半年
	 * 返回上半年/下半年结束时间
	 *
	 * @return
	 */
	public static Date getHalfYearEnd() {
		DateTime date = DateUtil.date();
		int month = DateUtil.month(date);
		if (month <= 6) {
			String start = DateUtil.year(DateUtil.date()) + "-06-30 23:59:59";
			return DateUtil.parse(start, DatePattern.NORM_DATETIME_PATTERN);
		}
		return DateUtil.endOfYear(date);
	}

	/**
	 * 判断当前时间属于上半年/下半年
	 * 返回上半年/下半年开始时间
	 *
	 * @return
	 */
	public static Date getHalfYearStart() {
		DateTime date = DateUtil.date();
		int month = DateUtil.month(date);
		if (month <= 6) {
			return DateUtil.beginOfYear(date);
		}
		String start = DateUtil.year(DateUtil.date()) + "-07-01";
		return DateUtil.parse(start, DatePattern.NORM_DATE_FORMAT);
	}
}
